#!/usr/bin/python
# Software License Agreement (BSD License)
#
# Copyright (c) 2010, Willow Garage, Inc.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
#  * Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
#  * Redistributions in binary form must reproduce the above
#    copyright notice, this list of conditions and the following
#    disclaimer in the documentation and/or other materials provided
#    with the distribution.
#  * Neither the name of the Willow Garage nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
# FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
# COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
# BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
# CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
# ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#

##\author Kevin Watts


import roslib; roslib.load_manifest('continuous_ops_executive')
import rospy
from continuous_ops_msgs.msg import ChargeStatus

def main():
    rospy.init_node('continuous_ops_battery_stub')
    pub = rospy.Publisher('charge_status', ChargeStatus, latch=True)
    while not rospy.is_shutdown():
        msg = ChargeStatus()
        val = raw_input('Enter Hungry/Stuffed (h/s):')
        if not val.lower() in ['hungry', 'stuffed', 'h','s']:
            print 'Try again! Must enter "h" or "s"!'
            continue
        if val.lower() in ['hungry', 'h']:
            msg.battery_status = ChargeStatus.HUNGRY
            msg.charge_status = ChargeStatus.UNPLUGGED
        else:
            msg.battery_status = ChargeStatus.STUFFED
            msg.charge_status = ChargeStatus.CHARGING

        pub.publish(msg)


if __name__ == '__main__':
    main()
